Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package backend
  Definition Classes
    nsc
-  package classpath
  Definition Classes
    nsc
-  package doc
  Definition Classes
    nsc
-  package fsc
  Definition Classes
    nsc
-  package interactive
  Definition Classes
    nsc
-  package interpreter
  Definition Classes
    nsc
-  package io
  Definition Classes
    nsc
-  package javac
  Definition Classes
    nsc
-  package plugins
  Definition Classes
    nsc
-  package profile
  Definition Classes
    nsc
-  package reporters
  Definition Classes
    nsc
-  package settings
  Definition Classes
    nsc
-  package symtab
  Definition Classes
    nsc
-  package tasty
  Definition Classes
    nsc
-  package transform
  Definition Classes
    nsc
-  package typechecker
  Definition Classes
    nsc
-  package util
  Definition Classes
    nsc
- AbstractScriptRunner
- ClassPathMemoryConsumptionTester
- CloseableRegistry
- CommonRunner
- CompilationUnits
- CompilerCommand
- ConsoleWriter
- DefaultScriptRunner
- Driver
- EvalLoop
- GenericRunnerCommand
- GenericRunnerSettings
- Global
- GlobalSymbolLoaders
- Interpreter
- InterpreterLoop
- JarRunner
- Main
- MainBench
- MainClass
- MainGenericRunner
- MainTokenMetric
- NewLinePrintWriter
- NoScriptError
- ObjectRunner
- Parsing
- PhaseAssembly
- PickleExtractor
- PipelineMain
- PipelineMainClass
- Properties
- Reporting
- ScalaDoc
- ScalaDocReporter
- ScriptCompileError
- ScriptRunner
- Settings
- SubComponent

c

scala.tools.nsc

# ScalaDocReporter

###

#### class ScalaDocReporter extends ConsoleReporter

The Scaladoc reporter adds summary messages to the `ConsoleReporter`

Use the `summaryX` methods to add unique summarizing message to the end of the run.

Source
  ScalaDoc.scala

Linear Supertypes
ConsoleReporter, PrintReporter, FilteringReporter, Reporter, Reporter, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ScalaDocReporter
2. ConsoleReporter
3. PrintReporter
4. FilteringReporter
5. Reporter
6. Reporter
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ScalaDocReporter(settings: Settings)

### Type Members

1.  final type Severity = reflect.internal.Reporter.Severity
   Definition Classes
     Reporter

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ScalaDocReporter toany2stringadd[ScalaDocReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ScalaDocReporter, B)
   Implicit
     This member is added by an implicit conversion from ScalaDocReporter toArrowAssoc[ScalaDocReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def ERROR: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
7.  final def INFO: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
8.  final def WARNING: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
9.  def addDelayedMessage(pos: Position, msg: String, print: () => Unit): Unit

   Eliminates messages if both `pos` and `msg` are equal to existing element

10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def cancelled: Boolean
    Definition Classes
      Reporter
12.  def cancelled_=(b: Boolean): Unit
    Definition Classes
      Reporter
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  def close(): Unit
    Definition Classes
      PrintReporter
15.  def comment(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
16.  def display(pos: Position, msg: String, severity: Severity): Unit

    Format a message and emit it.

    Format a message and emit it.

    Attributes
      protected
    Definition Classes
      PrintReporter
17.  def displayPrompt(): Unit
    Definition Classes
      PrintReporter
18.  def doReport(pos: Position, msg: String, severity: Severity): Unit
    Definition Classes
      ConsoleReporter → FilteringReporter
19.  final def echo(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
20.  final def echo(msg: String): Unit
    Definition Classes
      Reporter
21.  val echoWriter: PrintWriter
    Definition Classes
      ConsoleReporter → PrintReporter
22.  def ensuring(cond: (ScalaDocReporter) => Boolean, msg: => Any): ScalaDocReporter
    Implicit
      This member is added by an implicit conversion from ScalaDocReporter toEnsuring[ScalaDocReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
23.  def ensuring(cond: (ScalaDocReporter) => Boolean): ScalaDocReporter
    Implicit
      This member is added by an implicit conversion from ScalaDocReporter toEnsuring[ScalaDocReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
24.  def ensuring(cond: Boolean, msg: => Any): ScalaDocReporter
    Implicit
      This member is added by an implicit conversion from ScalaDocReporter toEnsuring[ScalaDocReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
25.  def ensuring(cond: Boolean): ScalaDocReporter
    Implicit
      This member is added by an implicit conversion from ScalaDocReporter toEnsuring[ScalaDocReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
26.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
28.  final def error(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
29.  def errorCount: Int
    Definition Classes
      Reporter
30.  def filter(pos: Position, msg: String, severity: Severity): Int
    Definition Classes
      FilteringReporter → Reporter
31.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
32.  def finish(): Unit
    Definition Classes
      ScalaDocReporter → ConsoleReporter → Reporter
33.  def flush(): Unit
    Definition Classes
      PrintReporter → Reporter
34.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ScalaDocReporter toStringFormat[ScalaDocReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
35.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
36.  def hasErrors: Boolean
    Definition Classes
      ScalaDocReporter → Reporter → Reporter
37.  def hasWarnings: Boolean
    Definition Classes
      Reporter
38.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
39.  def increment(severity: Severity): Unit
    Definition Classes
      Reporter
40.  def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
    Attributes
      protected
    Definition Classes
      FilteringReporter → Reporter
    Annotations
      @deprecatedOverriding("override doReport instead", "2.13.1")
41.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
42.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
43.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
44.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
45.  def postProcess(msg: String): String

    Postprocess a message string for reporting.

    Postprocess a message string for reporting.

    The default implementation uses `Reporter.explanation` to include the explanatory addendum.

    Attributes
      protected
    Definition Classes
      PrintReporter
46.  def printDelayedMessages(): Unit
47.  val reader: BufferedReader
    Definition Classes
      ConsoleReporter → PrintReporter
48.  def reallyHasErrors: Boolean
49.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      Reporter
50.  def reset(): Unit
    Definition Classes
      FilteringReporter → Reporter → Reporter
51.  val settings: Settings
    Definition Classes
      ConsoleReporter → PrintReporter → FilteringReporter
52.  val shortname: Boolean

    Whether a short file name should be displayed before errors

    Whether a short file name should be displayed before errors

    Definition Classes
      PrintReporter
53.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
54.  def toString(): String
    Definition Classes
      AnyRef → Any
55.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
56.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
57.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
58.  final def warning(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
59.  def warningCount: Int
    Definition Classes
      Reporter
60.  val writer: PrintWriter
    Definition Classes
      ConsoleReporter → PrintReporter

### Deprecated Value Members

1.  final def info(pos: Position, msg: String, force: Boolean): Unit
   Definition Classes
     Reporter
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use echo, as internal.Reporter does not support unforced info

2.  def →[B](y: B): (ScalaDocReporter, B)
   Implicit
     This member is added by an implicit conversion from ScalaDocReporter toArrowAssoc[ScalaDocReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from ConsoleReporter

### Inherited from PrintReporter

### Inherited from FilteringReporter

### Inherited from Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromScalaDocReporter to any2stringadd[ScalaDocReporter]

### Inherited by implicit conversion StringFormat fromScalaDocReporter to StringFormat[ScalaDocReporter]

### Inherited by implicit conversion Ensuring fromScalaDocReporter to Ensuring[ScalaDocReporter]

### Inherited by implicit conversion ArrowAssoc fromScalaDocReporter to ArrowAssoc[ScalaDocReporter]

### Ungrouped